Web Analytics Content Autopilot
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
POST | |
POST |
List all web analytics content autopilot runs
Required API key scopes
web_analytics:readQuery parameters
- limitinteger
- offsetinteger
- profile_idstring
Response
Example request
GET /api /projects /:project_id /web_analytics_content_autopilot_runsExample response
Status 200
RESPONSE
Retrieve web analytics content autopilot runs
Required API key scopes
web_analytics:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /web_analytics_content_autopilot_runs /:idExample response
Status 200
RESPONSE
Create web analytics content autopilot runs
Stops a pending or generating run without creating content writes.
Required API key scopes
web_analytics:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_runs /:id /cancelExample response
Status 200
RESPONSE
Create web analytics content autopilot runs
Captures the current profile and creates one pending on-demand content research run.
Required API key scopes
web_analytics:writeRequest parameters
- profile_idstring
Response
Example request
POST /api /projects /:project_id /web_analytics_content_autopilot_runs /startExample response
Status 202
RESPONSE